## org.apache.poi.extractor
Class CommandLineTextExtractor

    java.lang.Object
      org.apache.poi.extractor.CommandLineTextExtractor

    public class CommandLineTextExtractor

extends java.lang.Object

A command line wrapper around `ExtractorFactory`, useful for when debugging.

Field Summary
`static java.lang.String` `DIVIDER`

Constructor Summary
`CommandLineTextExtractor()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIVIDER

    public static java.lang.String DIVIDER

Constructor Detail

### CommandLineTextExtractor

    public CommandLineTextExtractor()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.